## com.google.appengine.api.datastore
Interface QueryResultIterable<T>

Type Parameters:
  `T` - the type of result returned by the query

All Superinterfaces:
  java.lang.Iterable<T>

    public interface QueryResultIterable<T>

extends java.lang.Iterable<T>

A class that produces `QueryResultIterator`s.

Method Summary
`QueryResultIterator<T>` `iterator()`

Method Detail

### iterator

    QueryResultIterator<T> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<T>`